'''
    The parsing module is only responsible for dealing with local or remote
    files and nothing else.
'''

import os


class C8Parser(object):
    '''
        The C8Parser is only responsible for reading the Chip-8 game file and
        making the data contents of the file available as an array of bytes.
    '''

    def __init__(self, file_path):
        self.data = []
        self.file_path = file_path
        self.total_bytes = 0

    def parse(self):
        '''
            Parse the file's content and store the number of bytes read.
        '''

        with open(self.file_path, 'rb') as fopen:
            self.data = bytearray(fopen.read())

        self.total_bytes = len(self.data)

    def filename(self):
        '''
            Return the game's filename (remove the path information).
        '''

        return os.path.basename(self.file_path)
