'''
    Setup package information for PyPi distribution.
'''

# All standard library imports
from distutils.core import setup

# All c8d imports
from chip8 import settings


C8D_BUILD = settings.build()

setup(
    name='c8d',
    packages=['chip8'],
    version='{major}.{minor}'.format(
        major=C8D_BUILD['major_version'],
        minor=C8D_BUILD['minor_version']
    ),
    description='Python package for disassembling Chip-8 games',
    author=C8D_BUILD['author'],
    author_email=C8D_BUILD['author_email'],
    url='https://github.com/prophittcorey/c8d',
    download_url='https://github.com/prophittcorey/c8d/tarball/'
    '{major}.{minor}'.format(
        major=C8D_BUILD['major_version'],
        minor=C8D_BUILD['minor_version'],
    ),
    scripts=['c8d'],
    keywords=['chip-8', 'disassembly', 'emulation'],
    classifiers=[],
)
